package com.malk.yibaoju.service;

import lombok.SneakyThrows;

import java.util.Map;

public interface YBJService {

    /**
     * 护理计划
     */
    void syncNursePlan();

    void syncUpdatePlanStatus();

    void creatInfo(String formInstId);

    void creatNextInfo(String formInstId);

    void updateInfo(String formInstId);

    void deletePlan(String cId);

    void syncCreatePlan();

    /**
     * 获取当月护理计划表单id
     * @param month
     * @return
     */
    String getFormId(String month);

    /**
     * 定时任务向数据库生成下月的护理计划
     */
    void insertDatabaseTask();

    /**
     * 定时任务从数据库向宜搭生成下月的护理计划
     */
    void databaseToYiDaTask();

    /**
     * 根据护理计划安排id删除当月数据库护理计划
     * @param formInstId
     */
    void deleteDatabaseInfo(String formInstId);

    /**
     * 打卡更新数据库和护理计划数据
     * @param data 参数
     */
    void updateFromClock(Map<String, Object> data);

    /**
     * 每天凌晨00点10分更新计划护理的任务状态
     */
    void updateDBStatus();

    /**
     * 删除打卡数据
     */
    void deleteClockIn();

    /**
     * 删除数据库和宜搭护理计划
     */
    void deleteBothInfo();

    /**
     * 编辑保存生成本月月数据库护理计划
     * @param formInstId
     */
    void thisMonthDataBase(String formInstId);

    /**
     * 编辑保存生成下月数据库护理计划
     * @param formInstId
     */
    void insertDatabaseNextMonth(String formInstId);

    /**
     * 编辑保存生成下月宜搭护理计划
     */
    void insertYiDaNextMonth();

    /**
     * 定时任务向数据库生成下月的护理计划
     */
    void insertDatabaseTaskNew();

    void insertHistory();
    void insertHistory2();

    /**
     * 每3分执行定时任务同步宜搭到数据库更新是否已同步字段和流程id
     */
    void afterDatabaseToYiDaTask();
}
